%global pypi_name commonmark

Name:           python-commonmark
Version:        0.9.1
Release:        %mkrel 2
Summary:        Python parser for the CommonMark Markdown spec
Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/commonmark
Source0:        commonmark-%{version}.tar.xz
BuildArch:      noarch

%description
Pure Python port of jgm’s stmd.js, a Markdown parser and renderer for the
CommonMark specification, using only native modules.

%package -n     python3-commonmark
Summary:        Python parser for the CommonMark Markdown spec
BuildRequires:  python3-devel
BuildRequires:  python3-future
BuildRequires:  python3-hypothesis
BuildRequires:  python3-setuptools
Requires:       python3-future
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-commonmark}
Provides:	python3-CommonMark = %{version}-%{release}
Requires: cmark

%description -n python3-commonmark
Pure Python port of jgm’s stmd.js, a Markdown parser and renderer for the
CommonMark specification, using only native modules.

%prep
%setup -qn commonmark-%{version}

# drop bundled egg-info
rm -rf *.egg-info/

# Fix non executable scripts
sed -i '1{\@^#!/usr/bin/env python@d}' commonmark/tests/run_spec_tests.py
sed -i '1{\@^#!/usr/bin/env python@d}' commonmark/cmark.py

%build
%py3_build

%install
%py3_install
rm -rf %buildroot/%{_bindir}/cmark

%files -n python3-commonmark
%{python3_sitelib}/commonmark-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/commonmark/


%changelog
* Thu Feb 16 2023 tex - 0.9.1-2pclos2023
- do not include cmark as it is in a different pkg

* Wed Aug 10 2022 tex - 0.9.1-1pclos2022
- new
